
Foreman - Bug #2404

Updating environment name leads to 404

04/16/2013 08:02 AM - Ivan Necas

Status: Closed   

Priority: Low   

Assignee: Joseph Magen   

Category: Web Interface   

Target version: 1.2.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Steps to reproduce:

1. create environment "foo"

2. open of editing, change to "foo-bar", submit

3. you'll get invalid format message

4. change name to "foo_bar", submit

5. you get "Environment not found" error, nothing updated

Expected:

Environment updated successfully

Associated revisions

Revision 696420ff - 06/24/2013 12:48 PM - Joseph Magen

fixes #2404 - prevents 404 when updating invalid name used as id

Revision ede82d1c - 06/28/2013 11:50 AM - Joseph Magen

fixes #2404 - prevents 404 when updating invalid name used as id

(cherry picked from commit 696420ff788834dad99352d326fa74fd764572cd)

History

#1 - 04/16/2013 08:21 AM - Sam Kottler

- Category set to Web Interface

- Status changed from New to Assigned

- Assignee set to Sam Kottler

- Target version set to 1.2.0

- Difficulty set to easy

#2 - 04/17/2013 04:58 PM - Sam Kottler

Thanks for the report!

Do you get a message when trying to submit that it contains invalid characters? I do, which prevents me from submitted with the new name.

#3 - 04/18/2013 02:02 AM - Ivan Necas

I get the message, but it's part of the edit form, so that I can change the name a resubmit again.

#4 - 04/18/2013 08:59 AM - Sam Kottler

I see what you mean now that I've hit submit twice - working on a patch now.

#5 - 05/16/2013 08:39 AM - Greg Sutcliffe
- Priority changed from Normal to Low

#6 - 06/02/2013 05:02 AM - Ohad Levy

- Assignee deleted (Sam Kottler)

#7 - 06/09/2013 08:13 AM - Joseph Magen

- Assignee set to Joseph Magen

#8 - 06/10/2013 04:14 AM - Joseph Magen

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/706

#9 - 06/24/2013 01:17 PM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 696420ff788834dad99352d326fa74fd764572cd.
